Module javafx.graphics
Package javafx.print

# Class PaperSource

java.lang.Object
javafx.print.PaperSource

public final class PaperSource extends Object
A PaperSource is the input tray to be used for the Paper. The enumerated values here cover many of the most common sources, which may map to platform IDs. However there are also printer specific tray names which may be in use. So queries of the supported paper sources may include other values.

Since:
  JavaFX 8.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PaperSource`
`AUTOMATIC`
Specify to automatically select the tray.
`static final PaperSource`
`BOTTOM`
Specify to select the BOTTOM tray.
`static final PaperSource`
`ENVELOPE`
Specify to select the ENVELOPE tray.
`static final PaperSource`
`LARGE_CAPACITY`
Specify to select the LARGE_CAPACITY tray.
`static final PaperSource`
`MAIN`
Specify to select the MAIN tray.
`static final PaperSource`
`MANUAL`
Specify to select the MANUAL tray.
`static final PaperSource`
`MIDDLE`
Specify to select the MIDDLE tray.
`static final PaperSource`
`SIDE`
Specify to select the SIDE tray.
`static final PaperSource`
`TOP`
Specify to select the TOP tray.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of this paper source.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### AUTOMATIC

public static final PaperSource AUTOMATIC
Specify to automatically select the tray.

### MAIN

public static final PaperSource MAIN
Specify to select the MAIN tray.

### MANUAL

public static final PaperSource MANUAL
Specify to select the MANUAL tray.

### BOTTOM

public static final PaperSource BOTTOM
Specify to select the BOTTOM tray.

### MIDDLE

public static final PaperSource MIDDLE
Specify to select the MIDDLE tray.

### TOP

public static final PaperSource TOP
Specify to select the TOP tray.

### SIDE

public static final PaperSource SIDE
Specify to select the SIDE tray.

### ENVELOPE

public static final PaperSource ENVELOPE
Specify to select the ENVELOPE tray.

### LARGE_CAPACITY

public static final PaperSource LARGE_CAPACITY
Specify to select the LARGE_CAPACITY tray.

## Method Details

### getName

public String getName()
Returns the name of this paper source.

Returns:
  paper source name.

### toString

public String toString()

Overrides:
  `toString` in class `Object`